'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _fs = require('fs');

var _fs2 = _interopRequireDefault(_fs);

var _paths = require('./../paths');

var _utils = require('./../utils');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = function () {
    // NPM will run prepublish script after `npm install` (https://docs.npmjs.com/misc/scripts)
    // This ensures that when script is executed using `npm *` it is run only when the command is `npm publish`.
    if (process.env.npm_config_argv) {
        var npmConfigArgv = undefined;

        npmConfigArgv = JSON.parse(process.env.npm_config_argv);

        if (npmConfigArgv.original[0] !== 'publish') {
            return;
        }
    }

    (0, _utils.backupPackageConfig)();

    _fs2.default.renameSync(_paths.nodeModulesPath, _paths.nodeModulesBackupPath);

    (0, _utils.installProductionModules)();

    _fs2.default.renameSync(_paths.nodeModulesPath, _paths.bundledModulesPath);
    _fs2.default.renameSync(_paths.nodeModulesBackupPath, _paths.nodeModulesPath);

    (0, _utils.updatePublishPackageConfig)();
};

module.exports = exports['default'];
//# sourceMappingURL=prepublish.js.map
